Package org.apache.sling.query.impl.resource.jcr.query

## Class JcrQueryBuilder

- java.lang.Object
- - org.apache.sling.query.impl.resource.jcr.query.JcrQueryBuilder

    public class JcrQueryBuilder
    extends Object

### Constructor Summary

Constructors
`JcrQueryBuilder​(JcrTypeResolver typeResolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `buildQuery​(List<SelectorSegment> segments, String rootPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JcrQueryBuilder

    public JcrQueryBuilder​(JcrTypeResolver typeResolver)

### Method Detail

#### buildQuery

    public String buildQuery​(List<SelectorSegment> segments,
                             String rootPath)